# Luakit Documentation / Modules / msg

# Module `msg`

Message logging support for Lua

This built-in library offers support for logging messages from Lua code. Five verbosity levels are available. By default, verbose and debug messages are not shown, but this can be changed when launching Luakit.

All parameters are converted to strings. A newline is automatically appended.

    webview.add_signal("init", function (view)
        msg.debug("Opening a new web view <%d>", view.id)
    end)

## Functions

### msg.fatal (format, ...)

Log a fatal error message, and abort the program.

#### Parameters

- format
  Type: string
  Format string.
- ...
  Type: any type
  Additional arguments referenced from the format string.

### msg.warn (format, ...)

Log a warning message.

#### Parameters

- format
  Type: string
  Format string.
- ...
  Type: any type
  Additional arguments referenced from the format string.

### msg.info (format, ...)

Log an informational message.

#### Parameters

- format
  Type: string
  Format string.
- ...
  Type: any type
  Additional arguments referenced from the format string.

### msg.verbose (format, ...)

Log a verbose message.

#### Parameters

- format
  Type: string
  Format string.
- ...
  Type: any type
  Additional arguments referenced from the format string.

### msg.debug (format, ...)

Log a debug message.

#### Parameters

- format
  Type: string
  Format string.
- ...
  Type: any type
  Additional arguments referenced from the format string.

## Signals

### "log"

Emitted when a message is logged. This signal is not emitted for messages below the current log level.

#### Parameters

- level
  Type: string
  The level at which the message was logged.
- group
  Type: string
  The origin of the message.
- msg
  Type: string
  The message itself. May contain ANSI color escape codes.

## Attribution

#### Copyright

- 2016 Aidan Holm